Subject: Link behaviour when accessing REAL unix via NFS
From: [email-masked] (Kevin Hughes)

20 Aug 1997 21:47:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

I hanvnt got the equipment to try this (yet) but am interested in how bash under
win95 sees a remotely mounted UNIX filesystem when using NFS.
I envisage having an NT box with NFS access to a SUN system. I want to run bash etc. on the NT platform with access to the filestore on the SUN. I have many
scripts which do things like

	if test -h $file

i.e I am tring to determine if $file is a link or not. How will this behave on
the bash under NT? I can think of at least two possibilities 
	
	it will work  

	it fail because 

		the signature in $file which cygwin32 recognises as a link 
		indicator is not there

		the NFS filestore automatically follows the UNIX link when
		cygwin opens/read the file to get at the signature

Will the patches from Sergey make any difference?

Any info much appreciated

Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".